Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.facet.search
Class SearcherTaxonomyManager

    java.lang.Object
      org.apache.lucene.search.ReferenceManager<SearcherTaxonomyManager.SearcherAndTaxonomy>
          org.apache.lucene.facet.search.SearcherTaxonomyManager

All Implemented Interfaces:
  Closeable

    public class SearcherTaxonomyManager

extends ReferenceManager<SearcherTaxonomyManager.SearcherAndTaxonomy>

Manages near-real-time reopen of both an IndexSearcher and a TaxonomyReader.

NOTE: If you call `DirectoryTaxonomyWriter.replaceTaxonomy(org.apache.lucene.store.Directory)` then you must open a new `SearcherTaxonomyManager` afterwards.

Nested Class Summary
`static class` | `SearcherTaxonomyManager.SearcherAndTaxonomy` Holds a matched pair of `IndexSearcher` and `TaxonomyReader`

Nested classes/interfaces inherited from class org.apache.lucene.search.ReferenceManager
`ReferenceManager.RefreshListener`

Field Summary

Fields inherited from class org.apache.lucene.search.ReferenceManager
`current`

Constructor Summary
`SearcherTaxonomyManager(IndexWriter writer, boolean applyAllDeletes, SearcherFactory searcherFactory, DirectoryTaxonomyWriter taxoWriter)` Creates near-real-time searcher and taxonomy reader from the corresponding writers.

Method Summary
`protected void` | `decRef(SearcherTaxonomyManager.SearcherAndTaxonomy ref)`
`protected SearcherTaxonomyManager.SearcherAndTaxonomy` | `refreshIfNeeded(SearcherTaxonomyManager.SearcherAndTaxonomy ref)`
`protected boolean` | `tryIncRef(SearcherTaxonomyManager.SearcherAndTaxonomy ref)`

Methods inherited from class org.apache.lucene.search.ReferenceManager
`acquire, addListener, afterClose, afterMaybeRefresh, close, maybeRefresh, maybeRefreshBlocking, release, removeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SearcherTaxonomyManager

    public SearcherTaxonomyManager(IndexWriter writer,
                                   boolean applyAllDeletes,
                                   SearcherFactory searcherFactory,
                                   DirectoryTaxonomyWriter taxoWriter)
                            throws IOException

  Creates near-real-time searcher and taxonomy reader from the corresponding writers.

  Throws:
    `IOException`

Method Detail

### decRef

    protected void decRef(SearcherTaxonomyManager.SearcherAndTaxonomy ref)
                   throws IOException

  Specified by:
    `decRef` in class `ReferenceManager<SearcherTaxonomyManager.SearcherAndTaxonomy>`
  Throws:
    `IOException`

### tryIncRef

    protected boolean tryIncRef(SearcherTaxonomyManager.SearcherAndTaxonomy ref)
                         throws IOException

  Specified by:
    `tryIncRef` in class `ReferenceManager<SearcherTaxonomyManager.SearcherAndTaxonomy>`
  Throws:
    `IOException`

### refreshIfNeeded

    protected SearcherTaxonomyManager.SearcherAndTaxonomy refreshIfNeeded(SearcherTaxonomyManager.SearcherAndTaxonomy ref)
                                                                   throws IOException

  Specified by:
    `refreshIfNeeded` in class `ReferenceManager<SearcherTaxonomyManager.SearcherAndTaxonomy>`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.